Package org.jbpm.executor.impl.jpa

## Class ExecutorQueryCriteriaUtil

- java.lang.Object
- - org.jbpm.query.jpa.impl.QueryCriteriaUtil
  - - org.jbpm.executor.impl.jpa.ExecutorQueryCriteriaUtil

-     public class ExecutorQueryCriteriaUtil
      extends org.jbpm.query.jpa.impl.QueryCriteriaUtil

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<Class,​Map<String,​javax.persistence.metamodel.Attribute>>` | `criteriaAttributes` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorQueryCriteriaUtil​(ExecutorJPAAuditService service)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected <T> List<T>` | `createQueryAndCallApplyMetaCriteriaAndGetResult​(org.jbpm.query.jpa.data.QueryWhere queryWhere, javax.persistence.criteria.CriteriaQuery<T> criteriaQuery, javax.persistence.criteria.CriteriaBuilder builder)` |
    `protected javax.persistence.criteria.CriteriaBuilder` | `getCriteriaBuilder()` |
    `protected <R,​T> javax.persistence.criteria.Predicate` | `implSpecificCreatePredicateFromSingleCriteria​(javax.persistence.criteria.CriteriaQuery<R> query, javax.persistence.criteria.CriteriaBuilder builder, Class queryType, org.jbpm.query.jpa.data.QueryCriteria criteria, org.jbpm.query.jpa.data.QueryWhere queryWhere)` |
    `protected boolean` | `initializeCriteriaAttributes()` |

    - ### Methods inherited from class org.jbpm.query.jpa.impl.QueryCriteriaUtil

      `addCriteria, addCriteria, applyMetaCriteriaToQuery, basicCreatePredicateFromSingleCriteria, convertListToInterfaceList, convertRegexToJPALikeExpression, defaultGetEntityField, doCriteriaQuery, fillCriteriaQuery, getCriteriaAttributes, getEntityField, getOrderByExpression, getRoot, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### criteriaAttributes

          public static final Map<Class,​Map<String,​javax.persistence.metamodel.Attribute>> criteriaAttributes

  - ### Constructor Detail

    - #### ExecutorQueryCriteriaUtil

          public ExecutorQueryCriteriaUtil​(ExecutorJPAAuditService service)

  - ### Method Detail

    - #### initializeCriteriaAttributes

          protected boolean initializeCriteriaAttributes()

      Specified by:
        `initializeCriteriaAttributes` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### getCriteriaBuilder

          protected javax.persistence.criteria.CriteriaBuilder getCriteriaBuilder()

      Specified by:
        `getCriteriaBuilder` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### createQueryAndCallApplyMetaCriteriaAndGetResult

          protected <T> List<T> createQueryAndCallApplyMetaCriteriaAndGetResult​(org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                                                                javax.persistence.criteria.CriteriaQuery<T> criteriaQuery,
                                                                                javax.persistence.criteria.CriteriaBuilder builder)

      Specified by:
        `createQueryAndCallApplyMetaCriteriaAndGetResult` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### implSpecificCreatePredicateFromSingleCriteria

          protected <R,​T> javax.persistence.criteria.Predicate implSpecificCreatePredicateFromSingleCriteria​(javax.persistence.criteria.CriteriaQuery<R> query,
                                                                                                                   javax.persistence.criteria.CriteriaBuilder builder,
                                                                                                                   Class queryType,
                                                                                                                   org.jbpm.query.jpa.data.QueryCriteria criteria,
                                                                                                                   org.jbpm.query.jpa.data.QueryWhere queryWhere)

      Specified by:
        `implSpecificCreatePredicateFromSingleCriteria` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`